STG-EDIT(1)

NAME
stg-edit - Edit a patch description or diff

SYNOPSIS

stg edit [options] [--] [<patch>]

DESCRIPTION
Edit the description and author information of the given patch (or the current patch if no patch name was given). With --diff, also edit the diff.

The editor is invoked with the following contents:

    From: A U Thor <author@example.com>
    Date: creation date

    Patch description

If --diff was specified, the diff appears at the bottom, after a separator:

    ---

    Diff text

Command-line options can be used to modify specific information without invoking the editor. (With the --edit option, the editor is invoked even if such command-line options are given.)

If the patch diff is edited but does not apply, no changes are made to the patch at all. The edited patch is saved to a file which you can feed to "stg edit --file", once you have made sure it does apply.

With --set-tree you set the git tree of the patch to the specified TREE-ISH without changing the tree of any other patches. When used on the top patch, the index and work tree will be updated to match the tree. This low-level option is primarily meant to be used by tools built on top of StGit, such as the Emacs mode. See also the --set-tree flag of stg push.

OPTIONS

-d, --diff
    Edit the patch diff.

-e, --edit
    Invoke interactive editor.

--sign
    Add a "Signed-off-by:" to the end of the patch.

--ack
    Add an "Acked-by:" line to the end of the patch.

-m MESSAGE, --message MESSAGE
    Use MESSAGE instead of invoking the editor.

-f FILE, --file FILE
    Use the contents of FILE instead of invoking the editor. (If FILE is "-", write to stdout.)

--save-template FILE
    Instead of running the command, just write the message template to FILE, and exit. (If FILE is "-", write to stdout.)

    When driving StGit from another program, it is often useful to first call a command with --save-template, then let the user edit the message, and then call the same command with --file.

--author "NAME <EMAIL>"
    Set the author details.

--authname NAME
    Set the author name.

--authemail EMAIL
    Set the author email.

--authdate DATE
    Set the author date.

-O OPTIONS, --diff-opts OPTIONS
    Extra options to pass to "git diff".

-t TREE-ISH, --set-tree TREE-ISH
    Set the git tree of the patch to TREE-ISH.

STGIT
Part of the StGit suite - see stg(1)